Package org.eclipse.m2m.atl.adt.ui.text.atl

## Class AtlCompletionDataSource

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.text.atl.AtlCompletionDataSource

    public class AtlCompletionDataSource
    extends java.lang.Object

The AtlCompletionDataSource, retrieves data from EMF metamodels.

### Constructor Summary

Constructors
`AtlCompletionDataSource​(AtlSourceManager manager)` Creates a new completion datasource.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getATLFileContext()` Returns the current file context.
`static java.lang.String` `getATLFileContext​(AtlSourceManager manager)` Returns the current file context.
`java.util.Map<java.lang.String,​org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType[]>` `getAtlPrimitiveTypes()` Returns the ATL primitive types instances.
`java.util.Map<java.lang.String,​org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType[]>` `getClassifiers​(int filter)` Metamodel classifiers for a given filter.
`java.lang.String[]` `getMetamodels()` Metamodels names.
`static org.eclipse.core.runtime.IPath[]` `getPaths()` Computes proposals for EMF paths.
`static java.lang.String[]` `getURIs()` Returns the currently registered URIs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AtlCompletionDataSource

    public AtlCompletionDataSource​(AtlSourceManager manager)

Creates a new completion datasource.

Parameters:
  `manager` - the source manager

### Method Detail

#### getATLFileContext

    public java.lang.String getATLFileContext()

Returns the current file context.

Returns:
  the current file context

#### getATLFileContext

    public static java.lang.String getATLFileContext​(AtlSourceManager manager)

Returns the current file context.

Returns:
  the current file context

#### getURIs

    public static java.lang.String[] getURIs()

Returns the currently registered URIs.

Returns:
  the currently registered URIs

#### getPaths

    public static org.eclipse.core.runtime.IPath[] getPaths()

Computes proposals for EMF paths.

Returns:
  the proposals

#### getMetamodels

    public java.lang.String[] getMetamodels()

Metamodels names.

Returns:
  the names

#### getClassifiers

    public java.util.Map<java.lang.String,​org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType[]> getClassifiers​(int filter)

Metamodel classifiers for a given filter.

Parameters:
  `filter` - the given filter
Returns:
  the filtered classifiers (with metamodelName as key)

#### getAtlPrimitiveTypes

    public java.util.Map<java.lang.String,​org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType[]> getAtlPrimitiveTypes()

Returns the ATL primitive types instances.

Returns:
  the ATL primitive types instances